# Retrieve SKU code by details

Use the **getSKUCodeByDetails** method to retrieve an SKU based on its included details.

## Request parameters

| Parameter                                   | Type / Description                                                                                                                                                                                                                                                                       |
| ------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `sessionID`                                 | <p><strong>Required (string)</strong></p><p>Session identifier, the output of the Login method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in <strong>10 minutes</strong>.</p> |
| `skuDetailsObject`                          | <p><strong>Object</strong></p><p>Details below.</p>                                                                                                                                                                                                                                      |
| `skuDetailsObject.PricingConfigurationCode` | <p><strong>Required (string)</strong><br>Unique identifier of the pricing configuration.</p>                                                                                                                                                                                             |
| `skuDetailsObject.Currency`                 | <p><strong>Optional (string)</strong><br>ISO currency code.</p>                                                                                                                                                                                                                          |
| `skuDetailsObject.PurchaseType`             | <p><strong>Optional (string)</strong></p><p>Purchase type identifier. Possible values:</p><ul><li>NEW\_PRODUCT</li><li>RENEWAL</li><li>UPGRADE</li></ul>                                                                                                                                 |
| `skuDetailsObject.PriceOptions`             | <p><strong>Optional (stringArray)</strong><br>Array of price options names.</p>                                                                                                                                                                                                          |
| `skuDetailsObject.Quantity`                 | <p><strong>Optional (int)</strong><br>Numeric identifier of product quantity.</p>                                                                                                                                                                                                        |

### Request sample

```php
<?php
require ('PATH_TO_AUTH');

$skuDetailsObject = new stdClass();
$skuDetailsObject->PricingConfigurationCode = 'YOUR_CODE';
$skuDetailsObject->Currency = 'USD';
$skuDetailsObject->PurchaseType = 'NEW_PRODUCT';
$skuDetailsObject->PriceOptions = ['A'];
$skuDetailsObject->Quantity = 1;

try {
    $getSkuDetails = $client->getSkuDetails($sessionID, $skuDetailsObject);
} catch (SoapFault $e) {
    echo  $e->getMessage();
}
var_dump($getSkuDetails);
```

### Response sample

```php
{SKUCode} // eg: SKU-EUR-1-10-N-A
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/pricing-configuration/retrieve-sku-code-by-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
